
Foreman - Bug #4895

API should check for the presence of a CSRF token when there is a session user

03/26/2014 09:03 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #4776: Accessing API does not seem to refresh cookie... Closed 03/21/2014

Related to Foreman - Bug #4968: API with SSO access requires some CSRF protec... New 03/31/2014

Associated revisions

Revision 73f99b5c - 04/09/2014 04:43 PM - Dominic Cleal

fixes #4895 - Adds CSRF protection check to the API if a session user is present

History

#1 - 03/27/2014 08:42 AM - Dominic Cleal

- Category set to API

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1331

#2 - 03/31/2014 01:21 PM - Dominic Cleal

- Related to Bug #4776: Accessing API does not seem to refresh cookie expiration added

#3 - 03/31/2014 01:25 PM - Dominic Cleal

- Related to Bug #4968: API with SSO access requires some CSRF protection added

#4 - 04/09/2014 04:45 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 04/09/2014 05:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 73f99b5c79de3d2a6b65e8833c6be72117ca1257.
